Skip to content

Check bulk update status

GET
/api/v3/item/modify/checkstatus/bulk/{trackingCode}
curl --request GET \
--url https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/checkstatus/bulk/example \
--header 'Authorization: <Authorization>'
trackingCode
required
string

Check status success

Media typeapplication/json
object
error
string
message
string
transaction_id

Unique identifier of the asynchronous operation

string
status

Current status of the bulk update

string
Allowed values: SUCCESS PROCESSING PARTIALLY_PROCESSED NOT_PROCESSED GLOVO_ERROR
last_updated_at

Timestamp of the latest menu status update

string
details

Details for the current menu status

Array<object>

Details for the current menu status

object
Example
{
"transaction_id": "a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9",
"status": "SUCCESS",
"last_updated_at": "2020-03-24T10:03:49.614Z",
"details": [
"Products updated: [11111, 22222]",
"Products not updated: [12345, 56789]",
"Attributes updated: [33333, 44444]",
"Attributes not updated: [67890, 45678]"
]
}

Invalid payload or parameters

Media type*/*
object
error
string
message
string
transaction_id

Unique identifier of the asynchronous operation

string
Example
a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9
status

Current status of the bulk update

string
Allowed values: SUCCESS PROCESSING PARTIALLY_PROCESSED NOT_PROCESSED GLOVO_ERROR
Example
PARTIALLY_PROCESSED
last_updated_at

Timestamp of the latest menu status update

string
Example
2020-03-24T10:03:49.614Z
details

Details for the current menu status

Array<object>

Details for the current menu status

object
Example
[
"Products updated: [11111, 22222]",
"Products not updated: [12345, 56789]",
"Attributes updated: [33333, 44444]",
"Attributes not updated: [67890, 45678]"
]
Example
[
"Products updated: [11111, 22222]",
"Products not updated: [12345, 56789]",
"Attributes updated: [33333, 44444]",
"Attributes not updated: [67890, 45678]"
]

Unauthorized

Media type*/*
object
error
string
message
string
transaction_id

Unique identifier of the asynchronous operation

string
Example
a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9
status

Current status of the bulk update

string
Allowed values: SUCCESS PROCESSING PARTIALLY_PROCESSED NOT_PROCESSED GLOVO_ERROR
Example
PARTIALLY_PROCESSED
last_updated_at

Timestamp of the latest menu status update

string
Example
2020-03-24T10:03:49.614Z
details

Details for the current menu status

Array<object>

Details for the current menu status

object
Example
[
"Products updated: [11111, 22222]",
"Products not updated: [12345, 56789]",
"Attributes updated: [33333, 44444]",
"Attributes not updated: [67890, 45678]"
]
Example
[
"Products updated: [11111, 22222]",
"Products not updated: [12345, 56789]",
"Attributes updated: [33333, 44444]",
"Attributes not updated: [67890, 45678]"
]

Internal server error

Media type*/*
object
error
string
message
string
transaction_id

Unique identifier of the asynchronous operation

string
Example
a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9
status

Current status of the bulk update

string
Allowed values: SUCCESS PROCESSING PARTIALLY_PROCESSED NOT_PROCESSED GLOVO_ERROR
Example
PARTIALLY_PROCESSED
last_updated_at

Timestamp of the latest menu status update

string
Example
2020-03-24T10:03:49.614Z
details

Details for the current menu status

Array<object>

Details for the current menu status

object
Example
[
"Products updated: [11111, 22222]",
"Products not updated: [12345, 56789]",
"Attributes updated: [33333, 44444]",
"Attributes not updated: [67890, 45678]"
]
Example
[
"Products updated: [11111, 22222]",
"Products not updated: [12345, 56789]",
"Attributes updated: [33333, 44444]",
"Attributes not updated: [67890, 45678]"
]